Subject: Re: debug - fvwm-snap-19991118

From: Nadim Saeed <[email-masked]>
Date: Fri, 3 Dec 1999 16:14:41 -0800 (PST)

On Saturday - November.20.1999 [04:40:09 +0100],
 Dominik Vogt ([email-masked]) wrote:
 > On Fri, Nov 19, 1999 at 11:06:34AM -0800, Nadim Saeed wrote:
 > > Cool.  I wasn't able to get FvwmWinList to disappear (tried for a good 4-5
 > > minutes - good work Olivier).  I am still noticing the occasional weird
 > > geometry calculation though; here's a way to reproduce it,
 > > 
 > > Make sure you have a running FvwmWinList
 > > 1. iconfiy an xterm (any which way - middle button on FvwmWinList would do)
 > > 2. right mouse click on the iconified window in FvwmWinList (my settings are
 > >    noted below) and you'll note the strange location geometry in the feedback
 > >    window (something along the lines of "-315 +636831")
 > > 3. since one is unable to see the window to move it (ie. no skeleton), if one
 > >    presses the middle button (or ESC) the window will reappear on the screen
 > >    but not FvwmPager
 > > 
 > > NOTE: if you skip step #1 above everything works great..
 > > 
 > > Here are the relevant parts of my FvwmWinList setting,
 > > 
 > >...
 > > *FvwmWinListAction Click3 Iconify -1, move
 >                             ^^^^^^^^^^^^^^^^
 > 
 > There are two problems:
 > 
 >  1) A bug in the module code; I've fixed this one, but I'm not
 >     sure if the fix is okay.
 > 
 >  2) Don't use a comma separated function list, use a fvwm
 >     function instead.
 > 
 > Furthermore you can now tell 'Move' to place the window at
 > the mouse position. Try this config:
 > 
 >   AddToFunc DeiconifyAndMove
 >   + i iconify off
 >   + i move m+0 m+0
 >   + i move
 > 
 >   *FvwmWinListAction Click3 function DeiconifyAndMove
 >   
 > Bye
 > 
 > Dominik ^_^
 > 

Dom, is there anyway to do "relocate m+0 m+0" instead of "move m+0 m+0" (I
know there is no such command), but what I'm getting at is I don't want to see
the window mapped and _then_ move it.  I'd like to just see the "rubberband"
and not the window itself - is there a way to do that ?  My old comma
separated function list used to function in that manner - sometimes :-)

In other words, I want to press on the FvwmWinList button and see a
"rubberband" of the said window ready to be moved without seeing the mapped
window right underneath it.

Would something like this make sense ?

  AddToFunc DeiconifyAndMove
  + i iconify off			# uniconify
  + i movetopage m+0 m+0		# relocate to current page (no mapping)
  + i move				# show rubberband and move window

Just tried it (without the m+ parts though, that's not implemented), it
still maps the window to the current page and then moves it - I just want
to bypass the mapping portion if possible - sorta like just move the
window's anchor and then move it with mapping it first.

Thanks for the help

 - Nadim

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]